"Must have apps" - 64bit official repo requests

If you are looking for a specific 64-bit package and you can't find it in any of the 64-bit repos, please post a request for it here
User avatar
fanthom
Site Admin
Site Admin
Posts: 4548
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

"Must have apps" - 64bit official repo requests

Post#1 by fanthom » 14 May 2011, 07:32

please post your xzm requests for 64bit edition official repo.
Please add [Solved] to your thread title if the solution was found.

User avatar
82issa
DOC Team
DOC Team
Posts: 127
Joined: 13 Apr 2011, 17:24
Location: USA, NC

Re: Must have apps - 64bit version

Post#2 by 82issa » 14 May 2011, 10:54

yakuake and dvtm to make console prettier
nano and htop
I think you might like this script.
/usr/bin/lsxzm

Code: Select all

#!/bin/sh
fu(){
 echo "Usage: lsxzm /path/to/specific/module.xzm"
 exit
}
fa(){
 echo "Authored by 82issa"
 echo "This command is used to list the contents of Porteus modules"
 echo "without extracting it.  A tool for Exploring modules."
 fu
}
sa(){
echo "You are having some sort of syntax error."
exit
}
if [ -f "$1" -a "$1" != "" ]; then
unsquashfs -l -d / $1
exit
elif [ "$1" = "" ]; then fu
else
case $1 in
-?)fa;;
--help)fa;;
--about)fa;;
*)sa;;
esac
fi
done

Sorry guys... I got to go. My girlfriend just casted "get your dirty ass into the shower" on me.
Oh and here is some naked grandpa pictures too.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4548
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: Must have apps - 64bit version

Post#3 by fanthom » 16 May 2011, 10:43

@82issa
"I think you might like this script."
ok - will be added to 1.0.

@all
other requests? maybe some 64bit/kde4 specific?
i cant believe that default apps included in ISO are enough :)
Please add [Solved] to your thread title if the solution was found.

Tonio
Contributor
Contributor
Posts: 266
Joined: 28 Dec 2010, 16:37
Distribution: Slackware,porteus,FreeBSD,Slax
Location: 127.0.0.1

Re: Must have apps - 64bit version

Post#4 by Tonio » 16 May 2011, 21:45

There's one small package I would like to have:

vorbis-tools-1.4.0-x86_64-1.txz

It gives us the possibility to encode to ogg vorbis files by default. Had to download it and activate it to use it. I tried to use ogg123 but it complained about a !@#$%%$.so file not present :( Mplayer played it and I was back to happy mode :)

ttp://pkgs.org/slackware-13.37/slackware-x86_64/vorbis-tools-1.4.0-x86_64-1.txz.html

I have not checked i486 version to see if it is missing in there too? :(

If this package is not present, I wonder how can k3b rip to ogg vorbis? But I see that the plugin is there. :cry:

I will not ask for Koffice or LibreOffice because they make the CD much larger :( But I think that vorbis tools is a resonable package.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4548
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: Must have apps - 64bit version

Post#5 by fanthom » 24 Jun 2011, 02:47

I'm pretty busy right now with a real life but in July i should be able to add some new packages to 64bit official repo (downloadable through 'Porteus Package Manager')

Firefox-5.0, qt-recordmydesktpo, koffice, vlc (?), amarok (?) are on my TODO list already.
Once again: if you have some special requests - please post it here.
Please add [Solved] to your thread title if the solution was found.

att
Contributor
Contributor
Posts: 131
Joined: 28 Dec 2010, 17:09

Re: "Must have apps" - 64bit official repo requests

Post#6 by att » 30 Jun 2011, 15:02

Pan2 newsreader is must-have imho.
Working nmap with proper nmap-services file would be nice.
Teamviewer is quite nice and working well for Linux, despite using a WINE environment.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4548
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: "Must have apps" - 64bit official repo requests

Post#7 by fanthom » 11 Jul 2011, 20:03

as per users requests above i have added following apps to the official repo:

Code: Select all

libraries/gmime-2.4.15-x86_64-1.xzm
libraries/PyQt-4.8.1-x86_64-1.xzm
libraries/sip-4.11.2-x86_64-1.xzm
multimedia/recordmydesktop-0.3.8.1-x86_64-1ftm.xzm
network/nmap-5.51-x86_64-1.xzm
network/opera-11.50-x86_64-1ro.xzm
network/teamviewer-6.0.9224-x86_64-1ftm.xzm
system/dvtm-0.6-x86_64-1ftm.xzm
system/xwininfo-1.1.1-x86_64-1.xzm
system/yakuake-2.9.8-x86_64-1ftm.xzm
utilities/nano-2.3.0-x86_64-1.xzm
utilities/pan-0.134-x86_64-1.xzm
two things to note:
a) current version of "Porteus Package Manager" does not resolve python dependencies automatically. in case of pulling 'recordmydesktop' from the repo you need to download 'PyQt' and 'sip' modules manually.
b) teamvievever uses 32bit version of wine so 32bit shared libraries must be used to get it to work. read FAQ answer 9 for more info.

BONUS:
i have upgraded firefox to version 5.0 in 006-firefox module. you can find it in 'extras' folder:
http://ponce.cc/porteus/x86_64/current/ ... x86_64.xzm
just replace 006-firefox module shipped with Porteus-1.0 ISO with the new one.

any other requests? dont be afraid to ask :)

Cheers

EDIT:
nex set of applications added to the repo (146 modules in the database as per 11.07.2011).
full list can be found up here:
http://pastebin.com/pN6tm458

plenty of packages are pulled from ponce's repo - thanks once again for your great work ponce!
Please add [Solved] to your thread title if the solution was found.

Virii
White ninja
White ninja
Posts: 15
Joined: 22 Sep 2011, 12:44
Location: Somewhere

Re: "Must have apps" - 64bit official repo requests

Post#8 by Virii » 22 Sep 2011, 14:05

Is there a Subversion x86_64 version hosted anywhere? That'd be great.

I also have a question about the Devel.xzm package. Does it partly depend on KDE, because when I removed KDE from the boot process, cmake gave dependency errors.

Would it be possible to have those dependencies contained in the Devel module instead of the KDE (I use LXDE), and would it also be possible to have the following dev packages added (or create a new package)?

I'm not sure what the Slack equivalents are, but I'm using Debian as an example.

* build-essential
* gcc 4.1–4.5
* zlib1g-dev
* libsdl1.2-dev 1.2.8–1.2.13
* libjpeg62-dev
* nasm 2.03.90–2.05.01
* libgtk2.0-dev
* cmake 2.6 or 2.4
* gxmessage

User avatar
fanthom
Site Admin
Site Admin
Posts: 4548
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: "Must have apps" - 64bit official repo requests

Post#9 by fanthom » 22 Sep 2011, 22:45

Welcome on board Virii,
Is there a Subversion x86_64 version hosted anywhere? That'd be great.
please use 'slackyd' package manager to download it:

Code: Select all

slackd -u && slackyd -g subversion
(run 'slackyd -h' for more info)
after downloading you can convert this package to xzm:

Code: Select all

txz2xzm /var/slackyd/subversion-1.6.16-x86_64-1.txz /var/slackyd/subversion-1.6.16-x86_64-1.xzm
the last step is 'activate /var/slackyd/subversion-1.6.16-x86_64-1.xzm'
I also have a question about the Devel.xzm package. Does it partly depend on KDE
seems that cmake depends on libarchive so i'll move this package to 002-xorg in Porteus-1.1 to be avail for all desktops.
would it also be possible to have the following dev packages added (or create a new package)?
all should be provided in Porteus by default. jpeg headers will be added in Porteus-1.1.
i'll add subverion and gxmessage to official repo as we are trying to keep ISO images at reasonable small size.

Cheers
Please add [Solved] to your thread title if the solution was found.

Cyril
White ninja
White ninja
Posts: 21
Joined: 04 Nov 2011, 10:11
Location: Ukraine
Contact:

Re: "Must have apps" - 64bit official repo requests

Post#10 by Cyril » 17 Nov 2011, 11:24

As for me, I'd like to see TurboPrint (it's an incredible pack of printer drivers) and DoubleCommander or smth else similar to TotalCommander.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4548
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: "Must have apps" - 64bit official repo requests

Post#11 by fanthom » 15 Dec 2011, 15:08

@Cyril
a) according to this site:
http://www.turboprint.info/
TurboPrint is not free so can't be hosted in our repo.

b) i have added krusader to the repo which is pretty much the same as TC.

Cheers

EDIT:\\
started converting official repo to Porteus-1.1. currently we have 280 xzm modules in it. only one optional dependency for koffice is unresolved.
today i have added some nice apps like xbmc (i'm amazed how powerful this application is - watching vids from youtube is more enjoyable now), codeblocks, gnumeric, evince (lxde users should be pleased), avidemux is splitted into gtk and qt version, upgraded ffmpeg, wireshark, pidgin, thunderbird and more.
be aware that PPM does not resolve python dependencies automatically so if you want to download xbmc please also pull xdpyinfo module.
here is full list of apps which are hosted in 64bit repo:

Code: Select all

database/mysql-5.1.56-x86_64-1.xzm
desktop/oxygen-gtk-1.1.0-x86_64-1ftm.xzm
desktop/wmweather-2.4.5-x86_64-1ponce.xzm
development/bison-2.4.3-x86_64-2.xzm
development/bluefish-2.0.3-x86_64-1sl.xzm
development/bzr-2.4b5-x86_64-1sl.xzm
development/codeblocks-10.05-x86_64-2sl.xzm
development/cppunit-1.12.1-x86_64-2ponce.xzm
development/cvs-1.11.23-x86_64-1.xzm
development/flex-2.5.35-x86_64-1.xzm
development/gc-7.1-x86_64-1sl.xzm
development/gcc-gfortran-4.5.2-x86_64-2.xzm
development/geany-0.20-x86_64-1ftm.xzm
development/git-1.7.4.4-x86_64-1.xzm
development/guile-1.8.8-x86_64-1.xzm
development/lua-5.1.4-x86_64-2sl.xzm
development/medit-1.0.5-x86_64-1sl.xzm
development/mercurial-1.8.2-x86_64-1.xzm
development/ruby-1.9.1_p431-x86_64-1.xzm
development/subversion-1.6.16-x86_64-1.xzm
games/brutalchess-0.5.2-x86_64-1ponce.xzm
games/bzflag-2.0.12-x86_64-1ponce.xzm
games/ltris-1.0.16-x86_64-1ponce.xzm
games/maelstrom-3.0.6-x86_64-1ponce.xzm
games/micropolis-20100418-x86_64-1ponce.xzm
games/supertux-0.1.3-x86_64-1ponce.xzm
games/trackballs-1.1.4-x86_64-1ponce.xzm
games/vectoroids-1.1.0-x86_64-1ponce.xzm
graphic/comix-4.0.4-noarch-2sl.xzm
graphic/evince-2.32.0-x86_64-1sl.xzm
graphic/exif-0.6.20-x86_64-1sl.xzm
graphic/gimp-2.6.11-x86_64-3.xzm
graphic/hugin-2011.0.0-x86_64-1sl.xzm
graphic/imagemagick-6.6.6_10-x86_64-1.xzm
graphic/inkscape-0.48.2-x86_64-1sl.xzm
graphic/rawstudio-2.0-x86_64-1sl.xzm
graphic/scrot-0.8-x86_64-1sl.xzm
hardware/gutenprint-5.2.6-x86_64-1.xzm
hardware/hplip-3.11.3a-x86_64-1.xzm
hardware/kernel-firmware-20110814git-noarch-1.xzm
hardware/sane-1.0.22-x86_64-2.xzm
libraries/aalib-1.4rc5-x86_64-3.xzm
libraries/aften-0.0.8-x86_64-6sl.xzm
libraries/akonadi-1.5.2-x86_64-1ftm.xzm
libraries/apr-1.4.5-x86_64-1_slack13.37.xzm
libraries/apr-util-1.3.12-x86_64-1_slack13.37.xzm
libraries/aspell-0.60.6-x86_64-1.xzm
libraries/atkmm-2.22.4-x86_64-1sl.xzm
libraries/audiofile-0.2.7-x86_64-1.xzm
libraries/babl-0.1.2-x86_64-1.xzm
libraries/boost-1.45.0-x86_64-1.xzm
libraries/cairomm-1.9.8-x86_64-1sl.xzm
libraries/c-ares-1.7.5-x86_64-1sl.xzm
libraries/dirac-1.0.2-x86_64-4sl.xzm
libraries/enchant-1.5.0-x86_64-1.xzm
libraries/esound-0.2.41-x86_64-1.xzm
libraries/faac-1.28-x86_64-2ponce.xzm
libraries/fftw-3.2.2-x86_64-1.xzm
libraries/flickcurl-1.21-x86_64-1sl.xzm
libraries/fribidi-0.10.9-x86_64-2.xzm
libraries/GConf-2.32.2-x86_64-1ponce.xzm
libraries/gegl-0.1.2-x86_64-1.xzm
libraries/geoclue-0.12-x86_64-2sl.xzm
libraries/giblib-1.2.4-x86_64-1sl.xzm
libraries/glib-1.2.10-x86_64-3.xzm
libraries/glibmm-2.27.99.2-x86_64-1sl.xzm
libraries/gmime-2.4.15-x86_64-1.xzm
libraries/gpgme-1.3.0-x86_64-1.xzm
libraries/gsl-1.15-x86_64-1sl.xzm
libraries/gst-plugins-base-0.10.32-x86_64-1.xzm
libraries/gstreamer-0.10.32-x86_64-1.xzm
libraries/gstreamermm-0.10.9-x86_64-1sl.xzm
libraries/gtk+-1.2.10-x86_64-5.xzm
libraries/gtk+3-3.0.9-x86_64-1gsb.xzm
libraries/gtkmm-2.24.0-x86_64-1sl.xzm
libraries/gtkspell-2.0.16-x86_64-1.xzm
libraries/hal-0.5.14-x86_64-3.xzm
libraries/icu4c-4.4.1-x86_64-1ponce.xzm
libraries/id3lib-3.8.3-x86_64-2sl.xzm
libraries/ilmbase-1.0.2-x86_64-1.xzm
libraries/imlib2-1.4.5-x86_64-2sl.xzm
libraries/jasper-1.900.1-x86_64-3.xzm
libraries/kdepimlibs-4.6.4-x86_64-1ftm.xzm
libraries/lapack-3.3.1-x86_64-2sl.xzm
libraries/lensfun-0.2.5-x86_64-3sl.xzm
libraries/libaio-0.3.109-x86_64-1.xzm
libraries/libao-1.1.0-x86_64-1.xzm
libraries/libassuan-2.0.1-x86_64-1.xzm
libraries/libavc1394-0.5.3-x86_64-2ponce.xzm
libraries/libcaca-0.99.beta16-x86_64-3.xzm
libraries/libdc1394-2.1.4-x86_64-1sl.xzm
libraries/libdv-1.0.0-x86_64-6sl.xzm
libraries/libevent-2.0.11-x86_64-1sl.xzm
libraries/libexif-0.6.20-x86_64-1.xzm
libraries/libffado-2.0.1-x86_64-1sl.xzm
libraries/libgnome-keyring-2.32.0-x86_64-1sl.xzm
libraries/libgphoto2-2.4.10.1-x86_64-1.xzm
libraries/libgpod-0.8.0-x86_64-2.xzm
libraries/libgsf-1.14.20-x86_64-1.xzm
libraries/libgsm-1.0.13-x86_64-2sl.xzm
libraries/libid3tag-0.15.1b-x86_64-4.xzm
libraries/libidl-0.8.14-x86_64-1.xzm
libraries/libiec61883-1.2.0-x86_64-4sl.xzm
libraries/libieee1284-0.2.11-x86_64-2.xzm
libraries/libjpeg-v8a-x86_64-1.xzm
libraries/libktorrent-1.0.5_3-x86_64-1.xzm
libraries/liblastfm-0.3.3_f0b3239-x86_64-1.xzm
libraries/liblinebreak-2.0-x86_64-1ponce.xzm
libraries/libmms-0.6.2-x86_64-1sl.xzm
libraries/libmodplug-0.8.8.1-x86_64-2sl.xzm
libraries/libmp4v2-1.9.1-x86_64-3ponce.xzm
libraries/libmpeg2-0.5.1-x86_64-4sl.xzm
libraries/libmspack-0.3alpha-x86_64-1sl.xzm
libraries/libmtp-1.0.1-x86_64-2.xzm
libraries/libmygpo-qt-1.0.4-x86_64-1sl.xzm
libraries/libofa-0.9.3-x86_64-1sl.xzm
libraries/liboil-0.3.17-x86_64-1.xzm
libraries/libpano13-2.9.18-x86_64-1sl.xzm
libraries/libplist-1.3-x86_64-1.xzm
libraries/libpng-1.4.8-x86_64-1_slack13.37.xzm
libraries/libquicktime-1.2.3-x86_64-1sl.xzm
libraries/libsigc++-2.2.9-x86_64-1sl.xzm
libraries/libsmi-0.4.8-x86_64-1sl.xzm
libraries/libsoup-2.36.0-x86_64-1sl.xzm
libraries/libspectre-0.2.5-x86_64-2.xzm
libraries/libtheora-1.1.1-x86_64-1.xzm
libraries/libunique-1.1.6-x86_64-1sl.xzm
libraries/libupnp-1.6.13-x86_64-1sl.xzm
libraries/libva-0.32.0-x86_64-1ftm.xzm
libraries/libvisual-0.4.0-x86_64-2.xzm
libraries/libvpx-0.9.6-x86_64-1ponce.xzm
libraries/libwmf-0.2.8.4-x86_64-5.xzm
libraries/libwpd-0.8.14-x86_64-1.xzm
libraries/libwpg-0.1.3-x86_64-1sl.xzm
libraries/libxavs-20110806-x86_64-1sl.xzm
libraries/libxml++-2.34.1-x86_64-1sl.xzm
libraries/libXxf86dga-1.1.2-x86_64-1.xzm
libraries/loudmouth-1.4.3-x86_64-1.xzm
libraries/neon-0.29.5-x86_64-1.xzm
libraries/nepomuk-4.6.4-x86_64-1ftm.xzm
libraries/opencore-amr-0.1.2-x86_64-2sl.xzm
libraries/openexr-1.7.0-x86_64-1.xzm
libraries/openjpeg-20110806-x86_64-1sl.xzm
libraries/ORBit2-2.14.19-x86_64-1ponce.xzm
libraries/orc-0.4.16-x86_64-1sl.xzm
libraries/pangomm-2.28.1-x86_64-1sl.xzm
libraries/physfs-2.0.1-x86_64-1sl.xzm
libraries/pilot-link-0.12.5-x86_64-3.xzm
libraries/pth-2.0.7-x86_64-1.xzm
libraries/PyQt-4.8.1-x86_64-1.xzm
libraries/qjson-0.7.1-x86_64-1ponce.xzm
libraries/raptor-1.4.21-x86_64-1.xzm
libraries/rasqal-0.9.21-x86_64-1.xzm
libraries/redland-1.0.12-x86_64-1.xzm
libraries/schroedinger-1.0.10-x86_64-1ponce.xzm
libraries/sip-4.11.2-x86_64-1.xzm
libraries/soprano-2.6.0-x86_64-1ftm.xzm
libraries/soundtouch-r104-x86_64-1ponce.xzm
libraries/swfdec-0.8.4-x86_64-1ponce.xzm
libraries/t1lib-5.1.2-x86_64-2.xzm
libraries/taglib-extras-1.0.1-x86_64-1.xzm
libraries/tcl-8.5.9-x86_64-1.xzm
libraries/tk-8.5.9-x86_64-1.xzm
libraries/v4l-utils-0.8.3-x86_64-2.xzm
libraries/wv-1.2.9-x86_64-1ponce.xzm
libraries/wvstreams-4.6.1-x86_64-2sl.xzm
libraries/wxWidgets-2.8.12-x86_64-1sl.xzm
libraries/xdpyinfo-1.2.0-x86_64-1.xzm
libraries/xvidcore-1.3.2-x86_64-2sl.xzm
multimedia/acetoneiso-2.3-x86_64-1sl.xzm
multimedia/acidrip-0.14-x86_64-1sl.xzm
multimedia/amarok-2.4.3-x86_64-1sl.xzm
multimedia/audacity-1.3.13-x86_64-1ponce.xzm
multimedia/avidemux-gtk-2.5.4-x86_64-1sl.xzm
multimedia/avidemux-qt4-2.5.4-x86_64-1sl.xzm
multimedia/cdparanoia-III_10.2-x86_64-1.xzm
multimedia/celt-0.11.1-x86_64-3sl.xzm
multimedia/dvdauthor-0.7.0-x86_64-1sl.xzm
multimedia/dvgrab-3.5-x86_64-5sl.xzm
multimedia/easytag-2.1.6-x86_64-1sl.xzm
multimedia/ffmpeg-0.8.6-x86_64-1sl.xzm
multimedia/jack-audio-connection-kit-0.120.1-x86_64-1sl.xzm
multimedia/k9copy-2.3.7-x86_64-1ponce.xzm
multimedia/kaffeine-1.2-x86_64-1sl.xzm
multimedia/kdenlive-0.8.2-x86_64-1sl.xzm
multimedia/kino-1.3.4-x86_64-2sl.xzm
multimedia/kmplayer-0.11.3a-x86_64-1sl.xzm
multimedia/mjpegtools-2.0.0-x86_64-1ponce.xzm
multimedia/mlt-0.7.6-x86_64-3sl.xzm
multimedia/musique-1.0-x86_64-1sl.xzm
multimedia/recordmydesktop-0.3.8.1-x86_64-1ftm.xzm
multimedia/rtmpdump-2.3-x86_64-2sl.xzm
multimedia/schismtracker-20100101-x86_64-1sl.xzm
multimedia/SDL_sound-1.0.3-x86_64-2sl.xzm
multimedia/sox-14.3.2-x86_64-1.xzm
multimedia/speex-1.2rc1-x86_64-5sl.xzm
multimedia/subtitleeditor-0.39.0-x86_64-1sl.xzm
multimedia/twolame-0.3.13-x86_64-1ponce.xzm
multimedia/vo-aacenc-0.1.1-x86_64-1sl.xzm
multimedia/vo-amrwbenc-0.1.1-x86_64-1sl.xzm
multimedia/vobcopy-1.2.0-x86_64-1sl.xzm
multimedia/w_scan-20110702-x86_64-1sl.xzm
multimedia/wxcam-1.0.8-x86_64-1ponce.xzm
multimedia/x264-20110504-x86_64-1sl.xzm
multimedia/xbmc-10.1-x86_64-1_SBo.xzm
multimedia/xcdroast-0.98alpha16-x86_64-1sl.xzm
multimedia/xine-lib-1.1.19-x86_64-1.xzm
network/amap-5.4-x86_64-1sl.xzm
network/aMule-r10561-x86_64-2sl.xzm
network/corkscrew-2.0-x86_64-3sl.xzm
network/ddclient-3.8.0-x86_64-1ftm.xzm
network/epiphany-2.30.6-x86_64-1sl.xzm
network/filezilla-3.5.2-x86_64-1sl.xzm
network/freerdp-0.8.2-x86_64-1sl.xzm
network/geoip-1.4.8-x86_64-1sl.xzm
network/gnutls-2.10.5-x86_64-1.xzm
network/hamachi-2.1.0.17-x86_64-1sl.xzm
network/kismet-2011_03_R2-x86_64-1sl.xzm
network/kmess-2.0.6.1-x86_64-1sl.xzm
network/krb5-1.9.1-x86_64-1sl.xzm
network/ktorrent-4.0.5-x86_64-1.xzm
network/midori-0.4.2-x86_64-2sl.xzm
network/mozilla-thunderbird-3.1.16-x86_64-1_slack13.37.xzm
network/net-snmp-5.6.1-x86_64-1.xzm
network/nmap-5.51-x86_64-1.xzm
network/opera-11.52.1100-x86_64-1sl.xzm
network/pidgin-2.9.0-x86_64-1_slack13.37.xzm
network/qtransmission-2.42-x86_64-1sl.xzm
network/remmina-0.9.3-x86_64-1sl.xzm
network/remmina-plugins-0.9.2-x86_64-1sl.xzm
network/samba-3.5.10-x86_64-1_slack13.37.xzm
network/skype_static-2.2.0.35-x86_64-1sl.xzm
network/smb4k-0.10.10-x86_64-1ponce.xzm
network/sylpheed-3.1.2-x86_64-1sl.xzm
network/teamviewer-6.0.9224-x86_64-1ftm.xzm
network/transmission-2.42-x86_64-1sl.xzm
network/webkit-1.6.1-x86_64-1sl.xzm
network/wireshark-1.6.3-x86_64-1sl.xzm
network/wvdial-1.61-x86_64-1sl.xzm
network/wxdfast-0.6.0-x86_64-1sl.xzm
network/x11vnc-0.9.12-x86_64-1ftm.xzm
office/abiword-2.8.6-x86_64-1sl.xzm
office/enca-1.13-x86_64-4sl.xzm
office/fbreader-0.12.10-x86_64-2ponce.xzm
office/galculator-1.3.4-x86_64-1sl.xzm
office/gnumeric-1.10.17-x86_64-1sl.xzm
office/goffice8-0.8.17-x86_64-1sl.xzm
office/koffice-2.3.3-x86_64-2.xzm
security/aircrack-ng-1.1-x86_64-1sl.xzm
security/clamav-0.97-x86_64-1sl.xzm
security/truecrypt-7.0a-x86_64-1sl.xzm
system/acpi-1.5-x86_64-1_SBo.xzm
system/acpitool-0.5.1-x86_64-2sl.xzm
system/aqemu-0.8.2-x86_64-1sl.xzm
system/backintime-1.0.8-x86_64-1sl.xzm
system/biew-6.1.0-x86_64-1_SBo.xzm
system/cabextract-1.3-x86_64-1sl.xzm
system/dosbox-0.74-x86_64-1sl.xzm
system/dvtm-0.6-x86_64-1ftm.xzm
system/FreeFileSync-3.16-x86_64-1_SBo.xzm
system/gpart-0.1h_11-x86_64-3sl.xzm
system/gparted-0.10.0-x86_64-1sl.xzm
system/hddtemp-0.3beta15-x86_64-1_SBo.xzm
system/htop-0.9-x86_64-1sl.xzm
system/iftop-0.17-x86_64-1ponce.xzm
system/isomaster-1.3.8-x86_64-1sl.xzm
system/krusader-2.4.0_beta1-x86_64-1ftm.xzm
system/qemu-0.15.0-x86_64-1sl.xzm
system/rarlinux-4.0.1b1-x86_64-1sl_nonfree.xzm
system/smartmontools-5.40-x86_64-1.xzm
system/testdisk-6.12-x86_64-1ponce.xzm
system/xwininfo-1.1.1-x86_64-1.xzm
system/yakuake-2.9.8-x86_64-1ftm.xzm
utilities/ghostscript-9.02-x86_64-1_slack13.37.xzm
utilities/ghostscript-fonts-std-8.11-noarch-1.xzm
utilities/gucharmap-2.33.2-x86_64-1.xzm
utilities/gxmessage-2.12.4-x86_64-2ponce.xzm
utilities/nano-2.3.0-x86_64-1.xzm
utilities/p7zip-9.20.1-x86_64-2sl.xzm
utilities/pan-0.134-x86_64-1.xzm
plese post your requests cause i'm running out of ideas what else could be added.
Enjoy.

forgot to mention: PPM1 and PPM2 are not compatible and repo is still set to support porteus-1.0 so Porteus-1.1-rc2 users will have to download LIBS.TXT and PACKAGES.TXT manually and place in /opt/ppm folder

Cheers

EDIT2:\\
since today (12 Dec 2011) every repo update will be documented in ChangeLog.txt file:
http://ponce.cc/porteus/x86_64/modules/ChangeLog.txt
which is created in the similar way as slacky.eu changelog.

@brokenman
would be nice to include extra function in PPM: 'show changelog' or something which would fetch and display that file.
i have written some scripts which helps with keeping the repo up to date and creating the ChangeLog.txt automatically so give me a shout if you need them for 32bits or rather go with your own implementation.
Please add [Solved] to your thread title if the solution was found.

User avatar
brokenman
Site Admin
Site Admin
Posts: 5439
Joined: 27 Dec 2010, 03:50
Distribution: Porteus v3.2rcX all desktops
Location: Brazil
Contact:

Re: "Must have apps" - 64bit official repo requests

Post#12 by brokenman » 29 Dec 2011, 22:53

Yes please ... pass them on to me. i have my own script but it doesn't yet handle updated packages for the ChangeLog.txt. Would be nice to see how you are doing it.
How do i become super user?
Wear your underpants on the outside and put on a cape.

edge226
Contributor
Contributor
Posts: 98
Joined: 27 Feb 2012, 23:55
Location: Canada

Re: "Must have apps" - 64bit official repo requests

Post#13 by edge226 » 07 Mar 2012, 07:49

Pulse audio with the other tools would be nice, I currently have to use my TV to adjust volume. There seems to be no hardware way with Alsa to make it work properly. Pulse audio seems required.

User avatar
fanthom
Site Admin
Site Admin
Posts: 4548
Joined: 28 Dec 2010, 02:42
Distribution: Porteus Kiosk
Location: Poland, currently - Cork, IE
Contact:

Re: "Must have apps" - 64bit official repo requests

Post#14 by fanthom » 08 Mar 2012, 15:54

There seems to be no hardware way with Alsa to make it work properly.
correct - more info:
click

i have added pulseaudio to the repo and also pavucontrol application (never used pulseaudio so i did not test it).
on the other hand i have tried smplayer which has support for software volume level control and worked fine through HDMI.
this also could be the solution in case of pulseaudio fail.

be aware that you will need 'sudo' to start pulseaudio server (not binary dependency so PPM wont cover it)
Please add [Solved] to your thread title if the solution was found.

User avatar
Hamza
Warlord
Warlord
Posts: 1846
Joined: 28 Dec 2010, 07:41
Distribution: Porteus
Location: France

Re: "Must have apps" - 64bit official repo requests

Post#15 by Hamza » 08 Mar 2012, 16:08

@fanthom,
Does sudo command exist on Porteus ? :roll:
NjVFQzY2Rg==

Locked